/*
 *  ALD Parsec utils (version 1.4)
 *
 */
#ifndef ALD_PARSEC_AUD_CORE_UTILS
#define ALD_PARSEC_AUD_CORE_UTILS

#include "ALDParsecAudUtils.h"

using namespace std;
using namespace ALD;

namespace ALDParsecAud
{

  const ald_aud_event_names& AudEventNames();
  const ald_aud_event_names& AudEventAliases();

  ald_aud_mask AudEventByName(const string& evname);
  ald_aud_mask AudMaskByNames(const string& evnames);

  void RegisterAudValidators(IALDCore& Core);
  void UnregisterAudValidators(IALDCore& Core);

  void RegisterAudTriggers(IALDCore& Core);
  void UnregisterAudTriggers(IALDCore& Core);

#define ALD_VALIDATOR_AUD_NAME         "ParsecAudName"
  class CALDAudNameValidator: public CALDValidator
  {
  public:
    CALDAudNameValidator(IALDCore& Core):CALDValidator(ALD_VALIDATOR_AUD_NAME, Core){};
    virtual bool Validate(const void *value, const void *tag, void *result);
  };

}

#endif // ALD_PARSEC_AUD_CORE_UTILS
