/*
 *  ALD Parsec utils (version 1.4)
 *
 */
#ifndef ALD_PARSEC_AUD_UTILS
#define ALD_PARSEC_AUD_UTILS

#include <ald/ALDCore.h>
#include <stdint.h>

using namespace std;
using namespace ALD;

namespace ALDParsecAud
{

  // type definitions
  typedef uint32_t   ald_aud_mask;

  struct ald_aud {
    ald_aud_mask succ;
    ald_aud_mask fail;
  };

  #define ALD_AUD_EVENT_COUNT   17
  #define ALD_AUD_FULL_MASK     0x1FFFF
  typedef string ald_aud_event_names[ALD_AUD_EVENT_COUNT];

  enum ALDAuditPolicyType {aaptUser, aaptGroup, aaptOther, aaptAll};

  string make_policy_name(const string &name, ALDAuditPolicyType type);
  bool parse_policy_name(const string &polname, string &objname, ALDAuditPolicyType &type);

  string audmask2str(const ald_aud_mask &val);
  string aud2str(const ald_aud &val);
  bool str2aud(const string &str, ald_aud &val);
  bool ldapstr2audtype(const string &str, ALDAuditPolicyType &val);
  bool str2audtype(const string &str, ALDAuditPolicyType &val);

#define AUD_MODE		0640
#define OTHER_MODE		0644
#define MAC_CACHE		"parsec"
#define MAC_AUDDB_DIR	"auddb"
#define PARSEC_AUDDB_DIR	"/etc/parsec/auddb"

}

#endif // ALD_PARSEC_AUD_UTILS
