#ifndef ALD_PARSEC_MAC_LDAP_DEFINITIONS
#define ALD_PARSEC_MAC_LDAP_DEFINITIONS

#include <ald/ldap-definitions.h>

//  ALD PARSEC LDAP STRUCT

// mac-level
#define ALD_LDAP_MAC_LEV_BASE         "ou=mac-levels,ou=mac-services,ou=service-configs"
#define ALD_LDAP_MAC_LEV_OCLASS       "x-ald-mac-level-object"
#define ALD_LDAP_MAC_LEV_CLASS        "objectClass=x-ald-mac-level-object"
#define ALD_LDAP_MAC_LEV_NAME         "cn"
#define ALD_LDAP_MAC_LEV_VAL          "x-ald-mac-level"

#define ALD_LDAP_MAC_LEV_IDX          ALD_LDAP_MAC_LEV_VAL " eq"
#define ALD_LDAP_MAC_LEV_UNIQ         "ldap:///?" ALD_LDAP_MAC_LEV_VAL "?sub?(" ALD_LDAP_MAC_LEV_CLASS ")"

// mac-cat
#define ALD_LDAP_MAC_CAT_BASE         "ou=mac-categories,ou=mac-services,ou=service-configs"
#define ALD_LDAP_MAC_CAT_OCLASS       "x-ald-mac-category-object"
#define ALD_LDAP_MAC_CAT_CLASS        "objectClass=x-ald-mac-category-object"
#define ALD_LDAP_MAC_CAT_NAME         "cn"
#define ALD_LDAP_MAC_CAT_VAL          "x-ald-mac-category"

#define ALD_LDAP_MAC_CAT_IDX          ALD_LDAP_MAC_CAT_VAL " eq"
#define ALD_LDAP_MAC_CAT_UNIQ         "ldap:///?" ALD_LDAP_MAC_CAT_VAL "?sub?(" ALD_LDAP_MAC_CAT_CLASS ")"

// user-parsec
#define ALD_LDAP_USER_MAC_BASE        "ou=users"
#define ALD_LDAP_USER_MAC_NAME        "uid"
#define ALD_LDAP_USER_MAC_OCLASS      "x-ald-user-parsec14"
#define ALD_LDAP_USER_MAC_CLASS       "objectClass=x-ald-user-parsec14"
#define ALD_LDAP_USER_MAC             "x-ald-user-mac"

// mac config
#define ALD_LDAP_MAC_CONFIG_BASE      "ou=mac-services,ou=service-configs"
#define ALD_LDAP_MAC_TMSTMP_NAME      "mac-timestamp"

// ALD groups of MAC administrators
#define ALD_AGROUP_MACADMINISTRATORS   "mac-administrators"

#endif // ALD_PARSEC_MAC_LDAP_DEFINITIONS
