/*
 *  ALD messages definitions
 *
 */
#ifndef ALD_PARSEC_DEVAC_ERR_DEFINITIONS
#define ALD_PARSEC_DEVAC_ERR_DEFINITIONS

#include <ald/ALDUtils.h>
#include <ald/msg-definitions.h>
#include "parsec-devac-gettext.h"

using namespace ALD;

namespace ALDParsecDev
{

#define OBJ_PARSEC_DEVICE _PD("device")
#define OBJ_PARSEC_DEVICERULE _PD("access rule")

#define FMT_DEVICE_NAME FMT_GROUP_NAME
#define FMT_DEVICERULE_NAME FMT_GROUP_NAME

#define ERR_BAD_DEVICE_ATTR(attrstr)  FMTSTR(1, _PD("Incorrect device attribute string '%s'.\n" \
                        "Format: (DEVPATH|NAME|SYMLINK|ENV\\{[^{}]+\\}|KERNEL|SUBSYSTEM|DRIVER|ATTR\\{[^{}]+\\}|TAG|KERNELS|SUBSYSTEMS|DRIVERS|ATTRS\\{[^{}]+\\}|TAGS)[!=]=\\S+."), attrstr.c_str())

#define ERR_BAD_DEVICE_MACTYPE(mactype)  FMTSTR(1, _PD("Incorrect device MAC object type string '%s'.\n" \
                        "Format: rwxrwx or ------"), mactype.c_str())

#define ERR_BAD_STATUS(status)  FMTSTR(1, _PD("Incorrect status string '%s'.\n" \
                        "Should be a number."), status.c_str())

#define ERR_BAD_MODE(mode)  FMTSTR(1, _PD("Incorrect mode string '%s'.\n" \
                        "Should be an octnumber."), mode.c_str())

#define ERR_MULTIPLE_PARSEC_DEVICES(device)  FMTSTR(1, _PD("Multiple devices with the same name '%s'."), device.c_str())
#define ERR_MULTIPLE_PARSEC_DEVICERULES(rule)  FMTSTR(1, _PD("Multiple device access rules with the same name '%s'."), rule.c_str())

#define ERR_DEVICERULE_USED(devrule, devlist) FMTSTR(2, _PD("Unable to remove device access rule '%s', because it is used by the devices:\n" \
                                         "%s\n" \
                                         "Modify these devices not to use this access rule."), devrule.c_str(), devlist.c_str())

}

#endif // ALD_PARSEC_DEVAC_ERR_DEFINITIONS
